templates:
- github
- cmake-cpp
- base

variables:
  description: Ignition Common library

  github.user: ignitionrobotics
  github.project: ign-common

  branches:
  - master
  - ign-common0
  - ign-common1
  - ign-common2
  - ign-common3

  platform-requires:
    ubuntu:
      packages: [libavdevice-dev libfreeimage-dev libgts-dev]

  extra-provides:
  - nature: cmake
    target: ignition-common
  extra-requires:
  - nature: cmake
    target: ignition-cmake
  - nature: cmake
    target: ignition-math
